
var messages = document.getElementById('messages');
var form = document.getElementById('form');
var input = document.getElementById('input');

async function main(e) {
    e.preventDefault();
    if (!input.value) return;

    let msg = await fetch("/", {
        "method": "POST",
        "headers": {
            "content-type": "application/json",
        },
        "body": JSON.stringify({ "data": input.value })
    })

    msg = await msg.text();
    msg = msg.trim();

    input.value = '';

    var item = document.createElement('li');
    item.textContent = msg;
    messages.appendChild(item);
    window.scrollTo(0, document.body.scrollHeight);
}

form.addEventListener('submit', main);

input.value = 'test';
main({ preventDefault: () => { }})